[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#668100: marked as done (fromiso rewriting based on findiso structure)



Your message dated Mon, 04 Jun 2012 16:03:15 +0000
with message-id <E1SbZkR-0004e4-Qf@franck.debian.org>
and subject line Bug#668100: fixed in live-boot 3.0~a28-1
has caused the Debian Bug report #668100,
regarding fromiso rewriting based on findiso structure
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
668100: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=668100
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: live-boot
Version: 3.0~a26-1
Severity: minor

Dear Maintainer,

  I am trying to improve fromiso boot parametre current code.

I attach a patch that:

a) Rewrites it to its code structure is as close as findiso one. This implies that the /live/fromiso (previously called /isofrom) folder is available in the new root filesystem at /root/live/fromiso. This was not the case in the old implementation.

b) Rewrites it to use fromiso string instead of isofrom string in the code as often as possible.

I would like some feedback before testing it to confirm that this is right way of coding/improving it.

  Thank you very much!
diff --git a/scripts/live b/scripts/live
index f4f4059..31df5e4 100755
--- a/scripts/live
+++ b/scripts/live
@@ -1276,15 +1276,15 @@ check_dev ()
 
 		if [ "$ISO_DEVICE" = "/" ]
 		then
-			echo "Warning: device for bootoption isofrom= ($FROMISO) not found.">>/live-boot.log
+			echo "Warning: device for bootoption fromiso= ($FROMISO) not found.">>/live-boot.log
 		else
 			fs_type=$(get_fstype "${ISO_DEVICE}")
 			if is_supported_fs ${fs_type}
 			then
-				mkdir /isofrom
-				mount -t $fs_type "$ISO_DEVICE" /isofrom
+				mkdir /live/fromiso
+				mount -t $fs_type "$ISO_DEVICE" /live/fromiso
 				ISO_NAME="$(echo $FROMISO | sed "s|$ISO_DEVICE||")"
-				loopdevname=$(setup_loop "/isofrom/${ISO_NAME}" "loop" "/sys/block/loop*" "" '')
+				loopdevname=$(setup_loop "/live/fromiso/${ISO_NAME}" "loop" "/sys/block/loop*" "" '')
 				devname="${loopdevname}"
 			else
 				echo "Warning: unable to mount $ISO_DEVICE." >>/live-boot.log
@@ -1611,13 +1611,26 @@ mountroot ()
 		log_end_msg
 	fi
 
+	# Move fromiso directory to the new root filesystem so that programs there can get at it.
+	if [ -d /live/fromiso ] && [ ! -d /root/live/fromiso ]
+	then
+		mkdir -p /root/live/fromiso
+		mount -n --move /live/fromiso /root/live/fromiso
+	fi
+
 	# if we do not unmount the ISO we can't run "fsck /dev/ice" later on
 	# because the mountpoint is left behind in /proc/mounts, so let's get
 	# rid of it when running from RAM
 	if [ -n "$FROMISO" ] && [ "${TORAM}" ]
 	then
-	  losetup -d /dev/loop0
-	  grep -q /isofrom /proc/mounts && umount /isofrom
+		losetup -d /dev/loop0
+
+		if is_mountpoint /root/live/fromiso
+		then
+			umount /root/live/fromiso
+			rmdir --ignore-fail-on-non-empty /root/live/fromiso \
+				>/dev/null 2>&1 || true
+		fi
 	fi
 
 	if [ -n "${MODULETORAMFILE}" ] || [ -n "${PLAIN_ROOT}" ]
@@ -1670,7 +1683,7 @@ mountroot ()
 	then
 		losetup -d /dev/loop0
 
-		if is_mountpoint /live/findiso
+		if is_mountpoint /root/live/findiso
 		then
 			umount /root/live/findiso
 			rmdir --ignore-fail-on-non-empty /root/live/findiso \

--- End Message ---
--- Begin Message ---
Source: live-boot
Source-Version: 3.0~a28-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-doc_3.0~a28-1_all.deb
  to main/l/live-boot/live-boot-doc_3.0~a28-1_all.deb
live-boot-initramfs-tools_3.0~a28-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a28-1_all.deb
live-boot_3.0~a28-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a28-1.debian.tar.gz
live-boot_3.0~a28-1.dsc
  to main/l/live-boot/live-boot_3.0~a28-1.dsc
live-boot_3.0~a28-1_all.deb
  to main/l/live-boot/live-boot_3.0~a28-1_all.deb
live-boot_3.0~a28.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a28.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668100@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 04 Jun 2012 17:31:32 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a28-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 668100
Changes: 
 live-boot (3.0~a28-1) experimental; urgency=low
 .
   [ Tails developers ]
   * Improving robustness of findiso cleanup process.
   * Using fromiso in most places where isofrom was used, thanks to
     adrian15 <adrian15sgd@gmail.com>.
   * Mounting fromiso filesystem on /live/fromiso instead of /fromiso,
     thanks to adrian15 <adrian15sgd@gmail.com>.
   * Improving robustness of fromiso cleanup process with is_mountpoint
     (Closes: #668100).
 .
   [ Daniel Baumann ]
   * Using boot.log and /var/log/live/boot.log respectively for overall
     consistency within all debian-live tools.
 .
   [ Ian Reinhart Geiser ]
   * Fix to allow for multiple rof when exposed roots is disabled.
 .
   [ Tails developers ]
   * Implement and make use of robust list functions.
 .
   [ chals ]
   * Fixing several typos in man pages.
   * Adding initial Spanish translation of man pages.
 .
   [ Evgeni Golov ]
   * Fixing two typos and a wrong word in comments.
Checksums-Sha1: 
 7aba3bc72400a2d7d1e82e59324d31ad1e90f8c1 1386 live-boot_3.0~a28-1.dsc
 8ed048d56bbf59165b6535445a4fb38697bd514f 115661 live-boot_3.0~a28.orig.tar.gz
 da69318c90bf2cca139afbd7d0feac77bf9c5765 21005 live-boot_3.0~a28-1.debian.tar.gz
 d2d019803e513cb4067fc52da974dfde428d49b0 31422 live-boot_3.0~a28-1_all.deb
 d3ce396508d33ee1ecf9738c2a8a4c3fa695eef8 57262 live-boot-doc_3.0~a28-1_all.deb
 5bad3198c9fe4c92140d0276a356b77f2a606163 50144 live-boot-initramfs-tools_3.0~a28-1_all.deb
Checksums-Sha256: 
 49ffb603a01c077b5f6a574fce2ecafa43314ea0f45ee05780d35d51c0e343a0 1386 live-boot_3.0~a28-1.dsc
 77aecf249bc409f322547e56700ae7c8ad02fa40d5a256bf596ef580d5ce6370 115661 live-boot_3.0~a28.orig.tar.gz
 333b91b1b271120a58a4ed93294070100a9dc7fea6280b72b436b857f7b55861 21005 live-boot_3.0~a28-1.debian.tar.gz
 219647cc2e258bbe4f7541ca8b8f6a51f64369351973030cb86561bfcf67f303 31422 live-boot_3.0~a28-1_all.deb
 3e860f93f8080bcdc166875906974aca07b49bbe1a2b0e19b44a54875c721ea9 57262 live-boot-doc_3.0~a28-1_all.deb
 e61f0fc2c70b8c8ba4f914028aec915d6adfe2655b64c75c2698db0e91a8bdf2 50144 live-boot-initramfs-tools_3.0~a28-1_all.deb
Files: 
 f25f994e886f713a741a27a66a820d38 1386 misc optional live-boot_3.0~a28-1.dsc
 389d9a290df190e151dd644d1e8831b3 115661 misc optional live-boot_3.0~a28.orig.tar.gz
 746c4be7d1fb2a7f10ae1270d52dd21d 21005 misc optional live-boot_3.0~a28-1.debian.tar.gz
 60f75ac2bac613ffe9c51c589d6d3f49 31422 misc optional live-boot_3.0~a28-1_all.deb
 2853511b5632155a663919b48f0c0c66 57262 doc optional live-boot-doc_3.0~a28-1_all.deb
 2352136b170c271e887d79bb42db9e0a 50144 misc optional live-boot-initramfs-tools_3.0~a28-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/M2CYACgkQ+C5cwEsrK56oPACeL/OVGpG0jeFZRgaXHiCUJutB
YpIAoKYShgeLO2AoxmAQ7Lh+yEM5AryP
=PFhK
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: